import { Block } from "@tarojs/components"
import Unit from './Unit'

export default (props) => {
  const unitList = (props.dataset || {}).unitList || []
  const onRoomClick = props.onRoomClick || (() => {})

  return (
    <Block>
      {
        unitList.map((unit) => (<Unit key={unit.unitId} dataset={unit} onRoomClick={onRoomClick} />))
      }
    </Block>
  )

}